
Redmine - Defect #4682

Completed version with wrong progress bar status

2010-01-28 16:39 - Christiaan Kras

Status: Closed Start date: 2010-01-28

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed Affected version: 1.1.2

Description

I have a version inside a project which only contains 2 bugs/issues. Both of them were fixed and percentage of completement is both

at 100%. Yet, as you can see in the screenshot, it shows 100% complete, but according to the progress bar 1 issue isn't closed yet.

Which is actually.

I've tried setting the completement status to 90%, save, and set it back to a 100%. But no luck.

I've setup my Redmine instance to check the commit messages in my repository. When it says closes/fixes #<issue nr> it sets the

status to resolved and at 100% ready/complete. This so far hasn't lead to any problems before.

Related issues:

Related to Redmine - Feature #2182: Weighted version completion percentage Closed 2008-11-13

Related to Redmine - Defect #24457: Progress of version should be calculated ... Closed

Associated revisions

Revision 22803 - 2024-05-02 22:58 - Marius BĂLTEANU

Progress of version should be calculated the same way as parent tasks (#24457, #4682).

Revision 22805 - 2024-05-02 23:35 - Marius BĂLTEANU

Fixes RuboCop offense Performance/Sum (#24457, #4682).

History

#1 - 2010-01-28 16:52 - Christiaan Kras

Some extra info.

The last issue I changed from resolved to closed also had an time estamate which I changed to 0 whilst closing the issue. Maybe something went

wrong here?

#2 - 2010-02-18 12:30 - Christiaan Kras

If a issue has the expected time set to 0.0 the earlier reported error happens. After removing it and saving the issue the problem is solved.

Seems to me that the part that calculates the progress should ignore issues with a expected time of 0.

#3 - 2011-04-08 18:51 - Etienne Massip

- Target version set to Candidate for next minor release

- Affected version (unused) changed from 0.9.0 to 1.1.2

- Affected version changed from 0.9.0 to 1.1.2

#4 - 2011-04-13 20:59 - Etienne Massip

- File wrong_completed_percent_computation_with_0_time_issues.patch added

Here's a patch.

I believe there is a similar issue with done percent computation for a task with subtasks.

#5 - 2011-04-14 09:46 - Etienne Massip

There is a very simpler patch which consists to add in Version#closed_pourcent the test
...

if open_issues_count == 0

  100

...

which already exists in Version#completed_pourcent.

#6 - 2011-04-16 18:04 - Etienne Massip

- File wrong_completed_percent_computation_with_0_time_issues.patch added

Full patch with tests.

Basically there are two possible calculation (depending on whether there is a total time estimated), which was intended to be prevented in #2182.

#7 - 2015-12-13 06:12 - Go MAEDA

This issue still can be reproduced in Redmine 3.2.0.

#8 - 2019-03-31 09:05 - Marius BĂLTEANU

- Related to Defect #24457: Progress of version should be calculated the same way as parent tasks added

#9 - 2019-03-31 23:50 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Target version changed from Candidate for next minor release to 4.1.0

I'm assigning this to 4.1.0 to  be fixed together with #24457.

#10 - 2019-09-28 00:33 - Go MAEDA

- Target version changed from 4.1.0 to 4.2.0

#11 - 2021-03-17 22:36 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0

#12 - 2022-03-27 23:17 - Marius BĂLTEANU

- Target version changed from 5.0.0 to 5.1.0

#13 - 2023-10-21 03:02 - Go MAEDA

- Target version changed from 5.1.0 to 6.0.0

#14 - 2024-05-02 23:01 - Marius BĂLTEANU

- Status changed from Confirmed to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Fixed in r22803.

Files

roadmap-percentage-bug.PNG 15 KB 2010-01-28 Christiaan Kras

wrong_completed_percent_computation_with_0_time_issues.patch 4.07 KB 2011-04-13 Etienne Massip

wrong_completed_percent_computation_with_0_time_issues.patch 4.4 KB 2011-04-16 Etienne Massip
